using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.BusinessLogicsContracts
{
	public interface IAnimalLogic
	{
		List<AnimalViewModel>? ReadList(AnimalSearchModel? model);
		AnimalViewModel? ReadElement(AnimalSearchModel model);
		bool CreateAnimal(AnimalBindingModel model);
		bool UpdateAnimal(AnimalBindingModel model);
		bool DeleteAnimal(AnimalBindingModel model);
	}
}
